Wallet To Wallet Transfer
curl --request POST \
--url https://nini.monieswitch.com/wallet/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 200,
"pin": "1234",
"narration": "Testing",
"metadata": {
"Key": "value"
},
"toWalletId": "2c6aa85f-e951-4271-8139-a26f8c532dcd",
"fromWalletId": "1e97219d-a9e3-43ca-8f06-9376d3b18dda"
}
'import requests
url = "https://nini.monieswitch.com/wallet/transfer"
payload = {
"amount": 200,
"pin": "1234",
"narration": "Testing",
"metadata": { "Key": "value" },
"toWalletId": "2c6aa85f-e951-4271-8139-a26f8c532dcd",
"fromWalletId": "1e97219d-a9e3-43ca-8f06-9376d3b18dda"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 200,
pin: '1234',
narration: 'Testing',
metadata: {Key: 'value'},
toWalletId: '2c6aa85f-e951-4271-8139-a26f8c532dcd',
fromWalletId: '1e97219d-a9e3-43ca-8f06-9376d3b18dda'
})
};
fetch('https://nini.monieswitch.com/wallet/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Wallet transfer successfully completed.",
"data": {
"paidAt": "2024-07-23T02:29:00+01:00",
"reference": "0Km81szK6xqThLpzUMUdvTnU4PWBuiRe39V6",
"totalAmount": 200,
"charges": 0,
"status": "SUCCESS",
"amount": 200,
"walletId": "1e97219d-a9e3-43ca-8f06-9376d3b18dda",
"merchantId": "1f18305f-851a-4266-bdc6-6fc1525928cf",
"category": "WALLET_TO_WALLET",
"narration": "Testing",
"toWalletId": "2c6aa85f-e951-4271-8139-a26f8c532dcd",
"fromWalletId": "1e97219d-a9e3-43ca-8f06-9376d3b18dda",
"customerMetadata": {
"Key": "value"
},
"beneficiaryBankName": "Xpress Wallet",
"beneficiaryBankCode": "999270",
"providerWalletId": "418745d4-3e62-4674-bc02-e74ac1ab8f6c",
"beneficiaryAccountNumber": "4420752932",
"beneficiaryAccountName": "Adewale ChisoM",
"originatorBankCode": "999270",
"originatorBankName": "Xpress Wallet",
"originatorAccountName": "Adewale ChisoM",
"originatorAccountNumber": "4470693221",
"description": "₦200.00 transfer to Adewale ChisoM",
"transactionId": "d8862f94-725e-458b-8985-9b31d3205bc4"
}
}Wallet
Wallet To Wallet Transfer
POST
/
wallet
/
transfer
Wallet To Wallet Transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I